## alsa-driver 1.0.23+dfsg

=== pci/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

#
# ALSA extra code
#

clean-files := ad1889.c atiixp.c atiixp_modem.c bt87x.c cmipci.c ens1370.c \
	fm801.c intel8x0.c maestro3.c via82xx.c via82xx_modem.c

obj-$(CONFIG_SND) += pdplus/ asihpi/

#
#
#

include $(SND_TOPDIR)/alsa-kernel/pci/Makefile

include $(SND_TOPDIR)/Rules.make

ad1889.c: ad1889.patch $(SND_TOPDIR)/alsa-kernel/pci/ad1889.c
atiixp.c: atiixp.patch $(SND_TOPDIR)/alsa-kernel/pci/atiixp.c
atiixp_modem.c: atiixp_modem.patch $(SND_TOPDIR)/alsa-kernel/pci/atiixp_modem.c
bt87x.c: bt87x.patch $(SND_TOPDIR)/alsa-kernel/pci/bt87x.c
cmipci.c: cmipci.patch $(SND_TOPDIR)/alsa-kernel/pci/cmipci.c
ens1370.c: ens1370.patch $(SND_TOPDIR)/alsa-kernel/pci/ens1370.c
ens1371.c: ens1370.c
fm801.c: fm801.patch $(SND_TOPDIR)/alsa-kernel/pci/fm801.c
intel8x0.c: intel8x0.patch $(SND_TOPDIR)/alsa-kernel/pci/intel8x0.c
maestro3.c: maestro3.patch $(SND_TOPDIR)/alsa-kernel/pci/maestro3.c
via82xx.c: via82xx.patch $(SND_TOPDIR)/alsa-kernel/pci/via82xx.c
via82xx_modem.c: via82xx_modem.patch $(SND_TOPDIR)/alsa-kernel/pci/via82xx_modem.c

=== sparc/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := amd7930.c cs4231.c dbri.c

include $(SND_TOPDIR)/alsa-kernel/sparc/Makefile

include $(SND_TOPDIR)/Rules.make

am7930.c: amd7930.patch $(SND_TOPDIR)/alsa-kernel/sparc/amd7930.c
cs4231.c: cs4231.patch $(SND_TOPDIR)/alsa-kernel/sparc/cs4231.c
dbri.c: dbri.patch $(SND_TOPDIR)/alsa-kernel/sparc/dbri.c

=== acore/seq/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := seq.c seq_clientmgr.c seq_memory.c

export-objs  := seq_device.o seq_clientmgr.o seq_lock.o seq_memory.o \
	seq_ports.o seq_midi_emul.o seq_midi_event.o seq_virmidi.o

include $(SND_TOPDIR)/alsa-kernel/core/seq/Makefile

EXTRA_CFLAGS += -I$(SND_TOPDIR)/alsa-kernel/core/seq

include $(SND_TOPDIR)/Rules.make

seq.c: seq.patch $(SND_TOPDIR)/alsa-kernel/core/seq/seq.c
seq_clientmgr.c: seq_clientmgr.patch $(SND_TOPDIR)/alsa-kernel/core/seq/seq_clientmgr.c
seq_memory.c: seq_memory.patch $(SND_TOPDIR)/alsa-kernel/core/seq/seq_memory.c

=== alsa-kernel/usb/Makefile ===
#
# Makefile for ALSA
#

snd-usb-audio-objs := 	card.o \
			mixer.o \
			mixer_quirks.o \
			proc.o \
			quirks.o \
			format.o \
			endpoint.o \
			urb.o \
			pcm.o \
			helper.o

snd-usbmidi-lib-objs := midi.o

# Toplevel Module Dependency
obj-$(CONFIG_SND_USB_AUDIO) += snd-usb-audio.o snd-usbmidi-lib.o

obj-$(CONFIG_SND_USB_UA101) += snd-usbmidi-lib.o
obj-$(CONFIG_SND_USB_USX2Y) += snd-usbmidi-lib.o
obj-$(CONFIG_SND_USB_US122L) += snd-usbmidi-lib.o

obj-$(CONFIG_SND) += misc/ usx2y/ caiaq/

=== drivers/mpu401/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := mpu401.c

export-objs  := mpu401_uart.o

include $(SND_TOPDIR)/alsa-kernel/drivers/mpu401/Makefile

include $(SND_TOPDIR)/Rules.make

mpu401.c: mpu401.patch $(SND_TOPDIR)/alsa-kernel/drivers/mpu401/mpu401.c

=== pci/asihpi/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

snd-asihpi-objs := asihpi.o hpioctl.o hpimsginit.o\
	hpicmn.o hpifunc.o hpidebug.o hpidspcd.o\
	hpios.o hpi6000.o hpi6205.o hpimsgx.o

obj-$(CONFIG_SND_ASIHPI) += snd-asihpi.o

include $(SND_TOPDIR)/Rules.make

=== pci/hda/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := hda_intel.c hda_beep.c

export-objs  := hda_codec.o

EXTRA_CFLAGS += -I$(SND_TOPDIR)/alsa-kernel/pci/hda

include $(SND_TOPDIR)/alsa-kernel/pci/hda/Makefile

include $(SND_TOPDIR)/Rules.make

hda_intel.c: hda_intel.patch $(SND_TOPDIR)/alsa-kernel/pci/hda/hda_intel.c
hda_beep.c: hda_beep.patch $(SND_TOPDIR)/alsa-kernel/pci/hda/hda_beep.c

=== pci/korg1212/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := korg1212.c

include $(SND_TOPDIR)/alsa-kernel/pci/korg1212/Makefile

include $(SND_TOPDIR)/Rules.make

korg1212.c: korg1212.patch $(SND_TOPDIR)/alsa-kernel/pci/korg1212/korg1212.c

=== pci/riptide/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := riptide.c

include $(SND_TOPDIR)/alsa-kernel/pci/riptide/Makefile

include $(SND_TOPDIR)/Rules.make

riptide.c: riptide.patch $(SND_TOPDIR)/alsa-kernel/pci/riptide/riptide.c

=== soc/codecs/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/soc/codecs/Makefile

include $(SND_TOPDIR)/Rules.make

=== soc/s6000/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/soc/s6000/Makefile

include $(SND_TOPDIR)/Rules.make

=== debian/changelog ===
alsa-driver (1.0.23+dfsg-4) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Provide alsa-base-udeb based on a patch from Samuel Thibault. Thanks.
    (closes: #613095)

  [ Jordi Mallach ]
  * Remove all replaces and conflicts for all packages: all referred to
    versions available even in etch, or are no longer in Debian.
  * Bump Standards-Version to 3.9.2 (no further changes required).
  * Remove Suggests from udeb (not supported) and set Section to
    debian-installer.
  * Point to non-symlinked GPL file.
  * Update upstream url in copyright.
  * Remove empty override dirs.

 -- Jordi Mallach <jordi@debian.org>  Tue, 03 May 2011 13:44:18 +0200

alsa-driver (1.0.23+dfsg-3) unstable; urgency=low

  [ Daniel T Chen ]
  * debian/alsa-base.init: Modify echo_procs_using_sound to avoid using
    lsof, which reduces our footprint, at the cost of being somewhat
    slower. Because *unload is not in the fast path generally, this
    tradeoff seems acceptable. Based on work by Kai Hendry et al. at
    http://stackoverflow.com/questions/526132/finding-processes-using-alsa-sound-fast,
    many thanks (closes: #514661)!

  [ Elimar Riesebieter ]
  * Correct mismatches in README.Debian.gz (thanks Petr Vorel; closes: #610008)
  * Removed useless entry '# Comment this entry in order to load pcspkr driver'
    from /etc/modprobe.d/alsa-base-blacklist.conf.

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 20:08:38 +0200

alsa-driver (1.0.23+dfsg-2) unstable; urgency=low

  * Updated Danish translation (thanks, Joe Hansen; closes: #599839).
  * Updated Catalan translation.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Oct 2010 13:26:04 +0200

alsa-driver (1.0.23+dfsg-1) unstable; urgency=low

  * New upstream release.
    - glitchy sound when increasing/decreasing volume on snd-hda-intel. Fixed
      upstream by a patch from Dan Chen. Thanks. (closes: #575669)

  [ Jordi Mallach ]
  * Add an "Old Changelog:" line at the end of the Debian changelog to
    avoid a lintian warning, and remove related overrides.
  * Add overrides for unused debconf templates in alsa-source.
  * Remove README.source, it's uneeded with source format 3.0 (quilt).
  * Add Build-Depends on autoconf.

  [ Elimar Riesebieter ]
  * Remove fix_asihpi_includes.patch. Applied different from upstream.
  * Remove hp_dv4t_msi.patch. Applied from upstream.
  * Patches from Ben Hutchings NMU added to svn:
    - distinguish_kernel_makefile_and_source_dirs.patch
    - use_kbuild_not_ac_try_compile.patch
    - fix_version_check.patch
    Thanks again for his cooperation and excellent work!
  * Updated those 3 patches.
  * disable_gcc_version_check2.patch deprecated.
  * Use dh_lintian.
  * Remove useless alsa-source.lintian-overrides.
  * Bumped Standards-Version to 3.8.4. No changes.
  * Prevent snd-usb-audio to be the first soundcard via
    /etc/modprobe.d/alsa-base.conf. (closes: #574593).
  * Introduced DEP-3 patch headers.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 19:14:23 +0200

alsa-driver (1.0.21+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix configure script to use kbuild so that it works with Debian kernel
    packages (Closes: #531668)
  * Run autoconf at package build time
  * Add missing #include to asihpi

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 03 May 2010 13:13:44 +0100

alsa-driver (1.0.21+dfsg-2) unstable; urgency=low

  [ Elimar Rieseieter ]
  * Added hp_dv4t_msi.diff. thanks Dan Chen for the hint. This will enable msi
    by default on a HP Pavillion dv4t Model. (Closes: #547994) The patch will
    be applied in one of next alsa versions. Maybe in kernel 2.6.32 ;)

 -- Jordi Mallach <jordi@debian.org>  Sat, 26 Sep 2009 03:15:37 +0200

alsa-driver (1.0.21+dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Fixed debian/po/es.po. The one from 1.0.20+dfsg-2 was latin-1 encoded. Now
    we have the correct utf-8 encoded one. (closes: #532405, #544459)
  * Blacklisting pcspkr isn't alsa-driver's job. (closes: #544496)

 -- Jordi Mallach <jordi@debian.org>  Sun, 06 Sep 2009 19:36:42 +0200

alsa-driver (1.0.20+dfsg-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Updated alsa-drivers debconf translations:
  * Spanish. Francisco Javier Cuadrado (closes: #532405).
  * Bumped Standards-Version to 3.8.3. No changes.
  * Blacklisted pcspkr by default. (closes: #540831).

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 Aug 2009 14:41:56 +0200

alsa-driver (1.0.20+dfsg-1) unstable; urgency=low

  * New upstream release. (closes: #528462)

  [ Elimar Riesebieter ]
  * Load snd-emu10k1-synth via /etc/modprobe.d/alsa-base.conf. This will enable
    alsa-plugins to load asfxload.
  * Removed the paragraph about alsaconf in alsa-base's README.Debian.
    Thanks Filipus Klutiero (closes: #526249)
  * Removed alpha_build_fixes.patch. msnd_pinnacle.c deprecated from upstream.
  * Rename package from $VERSION.dfsg to $VERSION+dfsg to be prepared for
    upstreams $VERSION[a-z] updates. We should sort by $VERSION[a-z].
  * Refreshed patches.

  [ Jordi Mallach ]
  * Properly handle the removal of conffiles in recent uploads.
    - steal code from udev's preinst to create rm_conffile() & mv_conffile().
    - remove modprobe-postinstall files.
    - move the modprobe.d files to the new .conf suffix.
  * Don't use rm -v, no need to be verbose.
  * Remove old transitional code that was only needed until the etch release.
  * Remove devfs support code, with great joy.
  * Remove checks for Linux << 2.6, as glibc in squeeze already requires
    Linux 2.6.18 or above.

 -- Jordi Mallach <jordi@debian.org>  Tue, 19 May 2009 17:08:43 +0200

alsa-driver (1.0.19.dfsg-3) unstable; urgency=low

  [ Jordi Mallach ]
  * Change section of alsa-source to kernel, to fix the override disparity.

  [ Elimar Riesebieter ]
  * Removed crufted modprobe-post-install stuff.
  * Check existance of /etc/modprobe.d/alsa-base.conf rather than


=== debian/control ===
Source: alsa-driver
Section: sound
Priority: optional
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends-Indep: autoconf, bzip2, cpio
Build-Depends: debhelper (>= 7), po-debconf
Standards-Version: 3.9.2
Homepage: http://www.alsa-project.org/
Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-driver
Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-driver/

Package: linux-sound-base
Architecture: all
Depends: ${misc:Depends}, module-init-tools (>= 3.2.1)
Suggests: alsa-base (>= 1.0.18-1)
Description: base package for ALSA and OSS sound systems
 This package allows the administrator to choose between
 the OSS and ALSA sound systems.
 .
 ALSA is the Advanced Linux Sound Architecture.
 OSS is the free version of the Open Sound System.

Package: alsa-base
Architecture: all
Provides: alsa
Depends: ${misc:Depends}, module-init-tools (>= 3.2.1), linux-sound-base, udev
Recommends: alsa-utils
Suggests: apmd (>= 3.0.2-1), alsa-oss, oss-compat
Description: ALSA driver configuration files
 This package contains various configuration files for
 the ALSA drivers.
 .
 For ALSA to work on a system with a given sound card,
 there must be an ALSA driver for that card in the kernel.
 Linux 2.6 as shipped in linux-image packages contains
 ALSA drivers for all supported sound cards in the form
 of loadable modules. A custom alsa-modules package can
 be built from the sources in the alsa-source package
 using the m-a utility (included in the module-assistant
 package). Please read the README.Debian file for more
 information about loading and building modules.
 .
 ALSA is the Advanced Linux Sound Architecture.

Package: alsa-base-udeb
Architecture: all
Section: debian-installer
Provides: alsa
Depends: ${misc:Depends}
Recommends: alsa-utils
Package-Type: udeb
Description: ALSA driver configuration files
 This package contains minimum configuration files for
 the ALSA drivers for the Debian Installer.

Package: alsa-source
Architecture: all
Section: kernel
Depends: ${misc:Depends}, make, gcc | c-compiler, dpkg-dev, debhelper (>= 5.0.37), debconf-utils, bzip2
Recommends: kernel-package, fakeroot, module-assistant, linux-headers
Description: ALSA driver sources
 This package contains the source code for the ALSA drivers.
 The source code can be compiled into an alsa-modules package
 using the m-a utility (available in the module-assistant
 package). Please note that the kernel headers must be
 installed to compile these modules. Please read the
 README.Debian file for more information about loading and
 building modules.
 .
 ALSA is the Advanced Linux Sound Architecture.

=== debian/rules ===
#!/usr/bin/make -f

# alsa-driver's debian/rules.
# Substanially rewritten by Steve Kowalik <stevenk@debian.org>
# Substanially rewritten by Thomas Hood <jdthood@yahoo.co.uk>

export DH_VERBOSE=1

SHELL := /bin/bash
# Bwahaha, let's play "Fool dpatch"
# PACKAGE := ALSA
# No, no. Switched to quilt ;)

SRC_DIR := debian/alsa-source/usr/src/modules/alsa-driver
INSTALL_UAG := -o root -g audio

#include /usr/share/quilt/quilt.make

clean:
	dh_testdir
	dh_testroot
	debconf-updatepo
	-$(RM) build-stamp
	-$(RM) include/isapnp.h
	-$(RM) -r debian/patched
	-$(RM) debian/files
	-$(RM) debian/OSS-module-list_cleaned
	-$(RM) debian/ALSA-module-list_cleaned
	-$(RM) debian/ALSA-card-list_cleaned
	-$(RM) debian/ALSA-card-list_cleaned_nobrackets
	-$(RM) debian/ALSA-card-list_cleaned_nodescriptions
	-$(RM) debian/ALSA-card-list_needingpostinstall
	-$(RM) debian/ALSA-card-list_modem
	-$(RM) debian/ALSA-card-list_tv
	dh_prep

configure: configure-stamp
configure-stamp:
	dh_testdir
	autoconf
	touch configure-stamp

build: configure build-stamp
build-stamp:
	touch build-stamp

binary: binary-indep binary-arch

binary-indep: DH_OPTIONS=-i
binary-indep: build-stamp build-source
	dh_testdir
	dh_testroot
	dh_installdirs
	### Start: Workaround bug #518242. Let udev do the job
	#install $(INSTALL_UAG) -m755 debian/alsa-base.modprobe-post-install \
	#	debian/alsa-base/lib/alsa/modprobe-post-install
	### END: Workaround bug #518242. Let udev do the job
	install $(INSTALL_UAG) -m755 debian/alsa-base.apm \
		debian/alsa-base/etc/apm/scripts.d/alsa
	install $(INSTALL_UAG) -m755 snddevices \
		debian/alsa-base/usr/share/alsa-base/snddevices
	install $(INSTALL_UAG) -m755 debian/alsa-base.init \
		debian/alsa-base/usr/sbin/alsa
	install $(INSTALL_UAG) -m644 debian/alsa-base.defaultfile \
		debian/alsa-base/usr/share/alsa-base/alsa.default
	install $(INSTALL_UAG) -m644 debian/alsa-source.conf \
		debian/alsa-source/usr/share/alsa-source/alsa-source.conf
	install $(INSTALL_UAG) -m755 debian/program-wrapper \
		debian/alsa-base/usr/share/alsa-base
	### Generate lists
	cat debian/OSS-module-list \
		| sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
		> debian/OSS-module-list_cleaned
	cat debian/ALSA-module-list \
		| sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
		> debian/ALSA-module-list_cleaned
	cat debian/ALSA-card-list \
		| sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e 's/,//' -e '/^$$/d' \
		> debian/ALSA-card-list_cleaned
	cat debian/ALSA-card-list_cleaned \
		| sed -e 's/ \[[^]]*\]//' \
		> debian/ALSA-card-list_cleaned_nobrackets
	cat debian/ALSA-card-list_cleaned \
		| sed -e 's/ .*$$//' \
		> debian/ALSA-card-list_cleaned_nodescriptions
	cat debian/ALSA-card-list_cleaned \
		| sed -e '/MODEM/d' \
		      -e '/TV/d' \
		      -e '/UNREAL/d' \
		      -e '/NOPOSTINSTALL/d' \
		> debian/ALSA-card-list_needingpostinstall
	cat debian/ALSA-card-list_cleaned \
		| grep -e 'MODEM' \
		> debian/ALSA-card-list_modem
	cat debian/ALSA-card-list_cleaned \
		| grep -e 'TV' \
		> debian/ALSA-card-list_tv
	### Generate alsa-source.templates
	cp -p debian/alsa-source.templates debian/alsa-source.templates_BAK
	cat debian/alsa-source.templates_BAK \
		| sed "s%_CARDS_WITH_DESCRIPTIONS_%$$(echo $$(sed -e '$$!s/$$/, /' debian/ALSA-card-list_cleaned_nobrackets))%" \
		| sed "s%_CARDS_WITHOUT_DESCRIPTIONS_%$$(echo $$(sed -e '$$!s/$$/, /' debian/ALSA-card-list_cleaned_nodescriptions))%" \
		> debian/alsa-source.templates
	### Install blacklists and related
	install $(INSTALL_UAG) -m644 debian/OSS-module-list_cleaned \
		debian/linux-sound-base/usr/share/linux-sound-base/OSS-module-list
	install $(INSTALL_UAG) -m644 debian/OSS-module-list_cleaned \
		debian/linux-sound-base/lib/linux-sound-base/noOSS.udev.blacklist
	install $(INSTALL_UAG) -m644 debian/ALSA-module-list_cleaned \
		debian/linux-sound-base/usr/share/linux-sound-base/ALSA-module-list
	install $(INSTALL_UAG) -m644 debian/ALSA-module-list_cleaned \
		debian/linux-sound-base/lib/linux-sound-base/noALSA.udev.blacklist
	cat debian/OSS-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
		> debian/linux-sound-base/lib/linux-sound-base/noOSS.modprobe.conf
	cat debian/ALSA-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
		> debian/linux-sound-base/lib/linux-sound-base/noALSA.modprobe.conf
	echo '# Uncomment these entries in order to blacklist unwanted modem drivers' \
		> debian/alsa-base/etc/modprobe.d/alsa-base-blacklist.conf
	cat debian/ALSA-card-list_modem \
		| sed -e 's/[[:space:]].*//' -e 's/^/# blacklist snd-/' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base-blacklist.conf
	echo '# Comment this entry in order to load snd-pcsp driver' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base-blacklist.conf
	echo 'blacklist snd-pcsp' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base-blacklist.conf
	#echo '# Comment this entry in order to load pcspkr driver' \
	#	>> debian/alsa-base/etc/modprobe.d/alsa-base-blacklist.conf
	#echo 'blacklist pcspkr' \
	#	>> debian/alsa-base/etc/modprobe.d/alsa-base-blacklist.conf
	### Install module options
	install $(INSTALL_UAG) -m644 debian/alsa-base.modprobe \
		debian/alsa-base/etc/modprobe.d/alsa-base.conf
	### Start: Workaround bug #518242. Let udev do the job
	#echo "# Cause a script to be run after card driver module initialization" \
	#	>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	#cat debian/ALSA-card-list_needingpostinstall \
	#	| sed -e 's/[[:space:]].*//' -e 's%\(.*\)%install snd-\1 /sbin/modprobe --ignore-install snd-\1 $$CMDLINE_OPTS \&\& /lib/alsa/modprobe-post-install snd-\1%' \
	#	>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	### End: Workaround bug #518242. Let udev do the job
	### The default index of these drivers is -2 as of ALSA 1.0.9
	echo "# Prevent abnormal drivers from grabbing index 0" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	cat debian/ALSA-card-list_tv \
		| sed -e 's/[[:space:]].*//' -e 's%\(.*\)%options \1 index=-2%' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	cat debian/ALSA-card-list_modem \
		| sed -e 's/[[:space:]].*//' -e 's%\(.*\)%options snd-\1 index=-2%' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	### This is for kernels >= 2.6.26
	echo "# Keep snd-pcsp from beeing loaded as first soundcard" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	echo "options snd-pcsp index=-2" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	echo "# Keep snd-usb-audio from beeing loaded as first soundcard" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	echo "options snd-usb-audio index=-2" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base.conf
	cp debian/alsa-base/etc/modprobe.d/* debian/alsa-base-udeb/etc/modprobe.d/
	### Install debconf templates
	dh_installdebconf
	cp -p debian/alsa-source.templates_BAK debian/alsa-source.templates && rm -f debian/alsa-source.templates_BAK
	dh_lintian
	install -p -m 0644 -o root -g root debian/alsa-base.bug.presubj \
		debian/alsa-base/usr/share/bug/alsa-base/presubj
	install -p -m 0644 -o root -g root debian/alsa-source.bug.presubj \
		debian/alsa-source/usr/share/bug/alsa-source/presubj
	install -p -m 0644 -o root -g root debian/alsa-base.bug.control \
		debian/alsa-base/usr/share/bug/alsa-base/control
	install -p -m 0644 -o root -g root debian/alsa-source.bug.control \
		debian/alsa-source/usr/share/bug/alsa-source/control
	install -p -m 0755 -o root -g root debian/alsa-base.bug.script \
		debian/alsa-base/usr/share/bug/alsa-base/script
	install -p -m 0755 -o root -g root debian/alsa-source.bug.script \
		debian/alsa-source/usr/share/bug/alsa-source/script
	dh_installdocs
	dh_installman
	dh_installchangelogs -i
	dh_installchangelogs -palsa-source -palsa-base debian/changelog.ALSA
	dh_installdocs -p alsa-base debian/changelog-old.Debian
	cp debian/PATCHES.Debian \
		debian/alsa-source/usr/share/doc/alsa-source/
	mkdir debian/alsa-base/usr/share/doc/alsa-base/driver
	mv debian/alsa-base/usr/share/doc/alsa-base/Documentation/*.txt \

## alsa-driver 1.0.24+dfsg

=== Makefile ===
#
# Makefile for ALSA driver
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@perex.cz>
#

ifneq ($(KERNELRELEASE),)
# call from 2.6 kernel build system

obj-m += acore/ i2c/ drivers/ isa/ pci/ ppc/ arm/ synth/ usb/ sparc/ parisc/ sh/ pcmcia/ aoa/ soc/ misc/

else

ifndef IGROUP
IGROUP = root
endif
ifndef IUSER
IUSER = root
endif
ALSAKERNELFILE = alsa-kernel/sound_core.c

ifeq (Makefile.conf,$(wildcard Makefile.conf))
include Makefile.conf
include toplevel.config
else
.PHONY: dummy1
dummy1:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
MAINSRCDIR := $(shell /bin/pwd)
endif

SND_TOPDIR   = $(MAINSRCDIR)
export SND_TOPDIR

ifeq (,$(wildcard acinclude.m4))
.PHONY: dummy2
dummy2:
	$(MAKE) all-deps
	@echo
	@echo "Please, run the configure script as first..."
	@echo
endif

ifdef NEW_KBUILD
ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif
ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif
export KBUILD_VERBOSE KBUILD_CHECKSRC
endif

SUBDIRS  = include acore i2c drivers isa synth pci aoa soc
CSUBDIRS =

ifndef NEW_KBUILD
SUBDIRS += support
endif

ifeq (y,$(CONFIG_ARM))
SUBDIRS  += arm
endif
ifeq (y,$(CONFIG_PPC))
SUBDIRS  += ppc
endif
ifeq (y,$(CONFIG_SPARC32))
SUBDIRS  += sparc
else
ifeq (y,$(CONFIG_SPARC64))
SUBDIRS  += sparc
endif
endif
ifeq (y,$(CONFIG_MIPS))
SUBDIRS  += mips
endif
ifeq (y,$(CONFIG_SGI))
SUBDIRS  += hal2
endif
ifeq (y,$(CONFIG_USB))
SUBDIRS  += usb
endif
ifeq (y,$(CONFIG_PCMCIA))
SUBDIRS  += pcmcia
endif
ifeq (y,$(CONFIG_PARISC))
SUBDIRS  += parisc
endif
ifeq (y,$(CONFIG_SUPERH))
SUBDIRS  += sh
endif
ifeq (m,$(CONFIG_AC97_BUS))
SUBDIRS  += misc
endif
CSUBDIRS += test utils

KCONFIG_FILES = $(shell find $(SND_TOPDIR) -name Kconfig) $(shell find $(SND_TOPDIR)/alsa-kernel/ -name Kconfig)

.PHONY: all
all: compile

$(ALSAKERNELFILE):
	{ \
	rm -rf alsa-kernel ; \
	if [ ! -z "$(ALSAKERNELDIR)" ]; then \
		if [ -f $(ALSAKERNELDIR)/kernel/sched.c ]; then \
			# whole linux kernel source tree \
			mkdir alsa-kernel; \
			for i in $(ALSAKERNELDIR)/sound/* ; do \
				ln -sf $$i alsa-kernel ; \
			done ; \
			ln -sf $(ALSAKERNELDIR)/include/sound \
						alsa-kernel/include ; \
			ln -sf $(ALSAKERNELDIR)/Documentation/sound/alsa \
						alsa-kernel/Documentation ; \
		else \
			# alsa-kmirror tree \
			ln -sf $(ALSAKERNELDIR) alsa-kernel ; \
		fi; \
		ln -sf alsa-kernel sound ; \
	fi \
	}

# to use newalsakernel target:
# ALSAKERNELDIR=yourlinuxtree_or_kmirrortree make newalsakernel
.PHONY: newalsakernel
newalsakernel: $(ALSAKERNELFILE) clean
	rm -rf alsa-kernel
	$(MAKE) $(ALSAKERNELFILE)

utils/mod-deps: utils/mod-deps.c
	gcc utils/mod-deps.c -o utils/mod-deps

toplevel.config.in: $(KCONFIG_FILES) $(ALSAKERNELFILE) utils/mod-deps kconfig-vers
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --makeconf > toplevel.config.in

acinclude.m4: $(KCONFIG_FILES) $(ALSAKERNELFILE) utils/mod-deps kconfig-vers
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --acinclude > acinclude.m4

include/config1.h.in: $(KCONFIG_FILES) $(ALSAKERNELFILE) utils/mod-deps kconfig-vers
	utils/mod-deps --basedir $(SND_TOPDIR)/alsa-kernel --hiddendir $(SND_TOPDIR) --versiondep $(SND_TOPDIR)/kconfig-vers --include > include/config1.h.in

all-deps: toplevel.config.in acinclude.m4 include/config1.h.in

include/sndversions.h:
	$(MAKE) dep

.PHONY: compile
compile: include/sndversions.h
ifdef NEW_KBUILD
	$(MAKE) -C $(CONFIG_SND_KERNELBUILD) SUBDIRS=$(MAINSRCDIR) $(MAKE_ADDS) CPP="$(CPP)" CC="$(CC)" modules
	utils/link-modules $(SND_TOPDIR)
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d; then exit 1; fi; done
endif
	@echo
	@echo "ALSA modules were successfully compiled."
	@echo

.PHONY: dep
dep:
ifdef NEW_KBUILD
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d prepare; then exit 1; fi; done
else
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d fastdep; then exit 1; fi; done
endif

.PHONY: map
map:
	awk "{ if ( length( $$1 ) != 0 ) print $$1 }" snd.map | sort -o snd.map1
	mv -f snd.map1 snd.map

.PHONY: install
install: install-headers install-modules install-scripts check-snd-prefix
	@if [ -L /dev/snd ]; then \
		echo "The ALSA devices were removed from /proc/asound/dev directory." ; \
		echo "Creating static device entries in /dev/snd." ; \
		$(SND_TOPDIR)/snddevices ; \
	fi
	cat WARNING

.PHONY: install-headers
install-headers:
	if [ -L $(DESTDIR)$(prefix)/include/sound ]; then \
		rm -f $(DESTDIR)$(prefix)/include/sound; \
		ln -sf $(MAINSRCDIR)/include/sound $(DESTDIR)$(prefix)/include/sound; \
	else \
		rm -rf $(DESTDIR)$(prefix)/include/sound; \
		install -d -m 755 -g $(IGROUP) -o $(IUSER) $(DESTDIR)$(prefix)/include/sound; \
		for f in include/sound/*.h; do \
			install -m 644 -g $(IGROUP) -o $(IUSER) $$f $(DESTDIR)$(prefix)/include/sound; \
		done \
	fi

ifeq ($(CONFIG_SND_KERNELDIR)/System.map,$(wildcard $(CONFIG_SND_KERNELDIR)/System.map))
SYSTEM_MAP_OPT = -F $(CONFIG_SND_KERNELDIR)/System.map
endif

.PHONY: install-modules
install-modules:
ifeq ($(moddir_tree),y)
	find $(DESTDIR)$(moddir) -name 'snd*.*o' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'snd*.*o.gz' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'ac97_bus.*o' | xargs rm -f
	find $(DESTDIR)$(moddir) -name 'ac97_bus.*o.gz' | xargs rm -f
else
	rm -f $(DESTDIR)$(moddir)/snd*.*o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
	rm -f $(DESTDIR)$(moddir)/snd*.*o.gz $(DESTDIR)$(moddir)/persist.o.gz $(DESTDIR)$(moddir)/isapnp.o.gz
endif
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d modules_install; then exit 1; fi; done
ifeq ($(DESTDIR),)
	-/sbin/depmod -a $(kaversion) $(SYSTEM_MAP_OPT)
else
	@echo "*** This is a \`staged' install using the prefix"
	@echo "***	\"$(DESTDIR)\"."
	@echo "***"
	@echo "*** Once the modules have been moved to their final destination you must run the command"
	@echo "***	\"/sbin/depmod -a $(kaversion) $(SYSTEM_MAP_OPT)\"."
	@echo "***"
	@echo "*** Alternatively, if you build a package (e.g. rpm), include the"
	@echo "*** depmode command above in the post-(un)install procedure."
endif

.PHONY: install-scripts
install-scripts:
	@for d in /sbin/init.d /etc/rc.d/init.d /etc/init.d; do \
	 if [ -d $(DESTDIR)$$d ]; then \
	   if [ -f $(DESTDIR)$$d/alsasound ]; then \
	     cmp -s utils/alsasound $(DESTDIR)$$d/alsasound || \
	       install -m 755 -g $(IGROUP) -o $(IUSER) utils/alsasound $(DESTDIR)$$d/alsasound.new; \
	     break; \
	   fi; \
	   install -m 755 -g $(IGROUP) -o $(IUSER) utils/alsasound $(DESTDIR)$$d/alsasound; \
	   break; \
	fi; done

.PHONY: check-snd-prefix
check-snd-prefix:
	@ if [ x"$(DESTDIR)" = x -a -f /etc/modules.conf ]; then \
	  if grep -s -q snd_ /etc/modules.conf; then \
	    echo;\
	    echo "             ===== WARNING =====";\
	    echo;\
	    echo "The options for ALSA modules on your system still include snd_ prefix,";\
	    echo "which is obsoleted now.  Please fix /etc/modules.conf.";\
	    echo "For convenience, you can use utils/module-options script to convert";\
	    echo "the snd_ prefix automatically.";\
	    echo;\
	fi; fi

.PHONY: clean1
clean1:
	rm -f .depend *.o snd.map*
ifdef DEXPORT
	rm -f $(DEXPORT)/*.ver
endif
	rm -f modules/*.o modules/*.ko

.PHONY: clean
clean: clean1
ifdef NEW_KBUILD
	rm -rf .tmp_versions
endif
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d clean; then exit 1; fi; done

.PHONY: mrproper
mrproper: clean1
	@for d in $(SUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	@for d in $(CSUBDIRS); do if ! $(MAKE) -C $$d mrproper; then exit 1; fi; done
	rm -f *~ out.txt *.orig *.rej .#* .gdb_history
	rm -f doc/*~
	-rm -f config.cache config.log config.status Makefile.conf
	rm -f utils/alsa-driver.spec
	rm -f `find alsa-kernel -name "*~"`
	rm -f `find alsa-kernel -name "*.orig"`
	rm -f `find alsa-kernel -name "*.rej"`
	rm -f `find alsa-kernel -name ".#*"`
	rm -f `find alsa-kernel -name "out.txt"`
	rm -rf autom4te.cache

.PHONY: cvsclean hgclean gitclean
gitclean: mrproper
	rm -f configure snddevices aclocal.m4 acinclude.m4 include/config.h include/config1.h \
	  include/config1.h.in toplevel.config toplevel.config.in \
	  sound
	rm -rf include/linux alsa-kernel
hgclean: gitclean
cvsclean: gitclean

.PHONY: pack
pack: $(ALSAKERNELFILE) mrproper
	chmod 755 utils/alsasound
	# big note: use always '--bzip2 -p' where -p is fake argument
	# it seems that some older tar has wrong getopt list
	{ \
		cd .. ; \
		rm -rf alsa-driver/alsa-kernel ; \
		mv alsa-kmirror alsa-driver/alsa-kernel ; \
		mv alsa-driver alsa-driver-$(CONFIG_SND_VERSION) ; \
		tar --exclude=CVS --exclude=kchanges --exclude=.cvsignore \
                    --exclude='.hg*' --exclude=.gitignore \
                    --owner=$(IGROUP) --group=$(IUSER) -cv --bzip2 -p \
                    -f alsa-driver-$(CONFIG_SND_VERSION).tar.bz2 alsa-driver-$(CONFIG_SND_VERSION) ; \
		mv alsa-driver-$(CONFIG_SND_VERSION) alsa-driver ; \
	}

.PHONY: uninstall
uninstall:
	-rm -rf $(DESTDIR)$(prefix)/include/sound
ifeq ($(moddir_tree),y)
	{ \
		for i in core $(SUBDIRS) ; do \
			rm -rf $(DESTDIR)$(moddir)/$$i ; \
		done ; \
	}
else
	rm -f $(DESTDIR)$(moddir)/snd*.o $(DESTDIR)$(moddir)/persist.o $(DESTDIR)$(moddir)/isapnp.o
endif
	rm -f $(DESTDIR)/sbin/init.d/alsasound
	rm -f $(DESTDIR)/etc/rc.d/init.d/alsasound
	rm -f $(DESTDIR)/etc/init.d/alsasound

.PHONY: TAGS
TAGS:
	find . -name '*.[ch]' | etags -

endif # call from 2.6 kernel build system

=== alsa-kernel/soc/tegra/Makefile ===
# Tegra platform Support
snd-soc-tegra-das-objs := tegra_das.o
snd-soc-tegra-pcm-objs := tegra_pcm.o
snd-soc-tegra-i2s-objs := tegra_i2s.o

obj-$(CONFIG_SND_TEGRA_SOC) += snd-soc-tegra-das.o
obj-$(CONFIG_SND_TEGRA_SOC) += snd-soc-tegra-pcm.o
obj-$(CONFIG_SND_TEGRA_SOC_I2S) += snd-soc-tegra-i2s.o

# Tegra machine Support
snd-soc-tegra-harmony-objs := harmony.o
snd-soc-tegra-harmony-objs += tegra_asoc_utils.o

obj-$(CONFIG_SND_TEGRA_SOC_HARMONY) += snd-soc-tegra-harmony.o

=== debian/changelog ===
alsa-driver (1.0.24+dfsg-0ubuntu2) oneiric; urgency=low

  * debian/control: Update Vcs-Bzr field
  Cherry-pick changes from debian ALSA svn:

  [ Elimar Riesebieter ]
  * Provide alsa-base-udeb based on a patch from Samuel Thibault. Thanks.
    (closes: #613095)
  * Correct mismatches in README.Debian.gz (thanks Petr Vorel; closes: #610008)
  * Removed useless entry '# Comment this entry in order to load pcspkr driver'
    from /etc/modprobe.d/alsa-base-blacklist.conf.

  [ Jordi Mallach ]
  * Remove all replaces and conflicts for all packages: all referred to
    versions available even in etch, or are no longer in Debian.
  * Bump Standards-Version to 3.9.2 (no further changes required).
  * Remove Suggests from udeb (not supported) and set Section to
    debian-installer.
  * Point to non-symlinked GPL file.
  * Update upstream url in copyright.
  * Remove empty override dirs.

  [ Daniel T Chen ]
  * debian/alsa-base.init: Modify echo_procs_using_sound to avoid using
    lsof, which reduces our footprint, at the cost of being somewhat
    slower. Because *unload is not in the fast path generally, this
    tradeoff seems acceptable. Based on work by Kai Hendry et al. at
    http://stackoverflow.com/questions/526132/finding-processes-using-alsa-sound-fast,
    many thanks (closes: #514661)!

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 05 May 2011 15:04:35 +1000

alsa-driver (1.0.24+dfsg-0ubuntu1) natty; urgency=low

  * New upstream release
  * Refreshed patches:
    - distinguish_kernel_makefile_and_source_dirs.patch
    - debian_dfsg_configure.patch
  * debian/control: Update Vcs-bzr field to point to new branch location

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 21 Feb 2011 18:06:40 +1100

alsa-driver (1.0.23+dfsg-2ubuntu1b1) natty; urgency=low

  * No-change upload to drop sizable upstream changelog.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Nov 2010 11:16:14 +0100

alsa-driver (1.0.23+dfsg-2ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Script paths (/usr/sbin -> /sbin, /usr/bin -> /bin);
    - debian/rules:
      + Don't install snddevices and program-wrapper
      + install alsa-base apport hook
      + Package separate USB card list file
    - Vcs and maintainer fields mangling
    - Rename blacklist files in /etc/modprobe.d to be consistant with the rest
      of the distro
    - debian/alsa-base.init:
      + create /var/run/alsa if it doesn't exist
      + Run alsactl store before force unloading modules
      + Run alsactl restore after reloading unloaded modules
    - debian/linux-sound-base.postrm: Remove /etc/modprobe.d/blacklist* files
      on package removal
    - Add missing $CMDLINE_OPTS to all install rules.
    - Replace -Q with --quiet.
    - Add --use-blacklist to all rules so the blacklist still takes effect.
    - debian/alsa-base.postinst: Do not run snddevices
    - retain patches:
      + add_suspend_quirk_hp_nc6220_nw8240.patch,
      + refix_lp_68659_by_disabling_dxs_for_0x1458a002.patch.
    - Drop kernel-package recommends to a suggests in order to be able to demote
      kernel-package to universe

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 29 Oct 2010 11:37:58 -0400

alsa-driver (1.0.23+dfsg-1ubuntu4) maverick; urgency=low

  * debian/alsa-base.preinst:
    debian/alsa-base.postinst:
    debian/linux-sound-base.postinst:
    - Handle upgrades from lucid, too.  Thanks, Steve Langasek!
      (LP: #340873)

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 03 Sep 2010 17:55:13 -0400

alsa-driver (1.0.23+dfsg-1ubuntu3) maverick; urgency=low

  * debian/alsa-base.postinst:
    debian/linux-sound-base.postinst:
    - Readd accidentally-removed migration for newer module-init-tools
      (LP: #340873)

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 02 Sep 2010 19:43:30 -0400

alsa-driver (1.0.23+dfsg-1ubuntu2) maverick; urgency=low

  * Dropped auto-generated patch from previous upload. This was created due
    to an unclean environment when the package was built.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 04 Jun 2010 13:34:12 +1000

alsa-driver (1.0.23+dfsg-1ubuntu1) maverick; urgency=low

  * Merge from debian alsa-driver svn, remaining changes:
    - Script paths (/usr/sbin -> /sbin, /usr/bin -> /bin);
    - debian/rules:
      + Don't install snddevices and program-wrapper
      + install alsa-base apport hook
      + Package separate USB card list file
    - Vcs and maintainer fields mangling
    - Rename blacklist files in /etc/modprobe.d to be consistant with the rest
      of the distro
    - debian/alsa-base.init:
      + create /var/run/alsa if it doesn't exist
      + Run alsactl store before force unloading modules
      + Run alsactl restore after reloading unloaded modules
    - debian/linux-sound-base.postrm: Remove /etc/modprobe.d/blacklist* files
      on package removal
    - Add missing $CMDLINE_OPTS to all install rules.
    - Replace -Q with --quiet.
    - Add --use-blacklist to all rules so the blacklist still takes effect.
    - debian/alsa-base.postinst: Do not run snddevices
    - retain patches:
      + add_suspend_quirk_hp_nc6220_nw8240.patch,
      + refix_lp_68659_by_disabling_dxs_for_0x1458a002.patch.
    - Drop kernel-package recommends to a suggests in order to be able to demote
      kernel-package to universe

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 04 Jun 2010 11:52:55 +1000

alsa-driver (1.0.23+dfsg-0ubuntu1) maverick; urgency=low

  * New upstream release
  * autoconf.patch: Refreshed
  * hwptr_pcm_io_fixes.patch: Dropped, included in latest tarball release
  * add_onda_a69g_ac97_support.patch: Delete, it doesn't get applied any more
  * Merge from debian alsa-driver svn, remaining changes:
    - Script paths (/usr/sbin -> /sbin, /usr/bin -> /bin);
    - debian/rules:
      + Don't install snddevices and program-wrapper
      + install alsa-base apport hook
      + Package separate USB card list file
    - Vcs and maintainer fields mangling


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: alsa-driver
 Section: sound
 Priority: optional
-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>
 Build-Depends-Indep: autoconf, bzip2, cpio
 Build-Depends: debhelper (>= 7), po-debconf
 Standards-Version: 3.9.2
 Homepage: http://www.alsa-project.org/
-Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-driver
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-driver/
+XS-Debian-Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-driver
+XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-driver/
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-driver/ubuntu.oneiric
 
 Package: linux-sound-base
 Architecture: all
@@ -58,7 +60,8 @@
 Architecture: all
 Section: kernel
 Depends: ${misc:Depends}, make, gcc | c-compiler, dpkg-dev, debhelper (>= 5.0.37), debconf-utils, bzip2
-Recommends: kernel-package, fakeroot, module-assistant, linux-headers
+Recommends: fakeroot, module-assistant, linux-headers
+Suggests: kernel-package
 Description: ALSA driver sources
  This package contains the source code for the ALSA drivers.
  The source code can be compiled into an alsa-modules package

## alsa-driver 1.0.25%2Bdfsg

=== drivers/pcsp/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := pcsp.c pcsp_input.c pcsp_lib.c

include $(SND_TOPDIR)/alsa-kernel/drivers/pcsp/Makefile

include $(SND_TOPDIR)/Rules.make

pcsp.c: pcsp.patch $(SND_TOPDIR)/alsa-kernel/drivers/pcsp/pcsp.c
pcsp_input.c: pcsp_input.patch $(SND_TOPDIR)/alsa-kernel/drivers/pcsp/pcsp_input.c
pcsp_lib.c: pcsp_lib.patch $(SND_TOPDIR)/alsa-kernel/drivers/pcsp/pcsp_lib.c

=== i2c/other/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

clean-files := tea575x-tuner.c

export-objs += ak4xxx-adda.o ak4113.o ak4114.o ak4117.o \
	       pt2258.o tea575x-tuner.o

include $(SND_TOPDIR)/alsa-kernel/i2c/other/Makefile

include $(SND_TOPDIR)/Rules.make

tea575x-tuner.c: tea575x-tuner.patch $(SND_TOPDIR)/alsa-kernel/i2c/other/tea575x-tuner.c

=== soc/davinci/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/soc/davinci/Makefile

include $(SND_TOPDIR)/Rules.make

=== soc/ep93xx/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

include $(SND_TOPDIR)/alsa-kernel/soc/ep93xx/Makefile

include $(SND_TOPDIR)/Rules.make
